DragonFly BSD
DragonFly kernel List (threaded) for 2005-09
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: PKGSRC will be officially supported as of the next release

From: Andreas Hauser <andy@xxxxxxxxxxxxxxx>
Date: 2 Sep 2005 20:58:23 -0000

jonthn wrote @ Fri, 02 Sep 2005 15:21:01 +0200:

> So it's a build option but the bootstrap doesn't enable that option by 
> default
> and without that pkgsrc doesn't fulfill the goal of a package management 
> system.for Dfly.

Not every pkgsrc port supports the option. Also the handling of the
upgrading is not using it to the best. You will often get a message like
"not linking pkg foo-1.1 into the default view because pkg foo-1.0 is
already installed". The actual wording is "not hoisting" afair.
And neither does it preserve the old /usr/pkg/packages/foo-1.0.
The you need to use pkgview delete and then pkgview add manually.
Non-standard paths seem to be problematic for pkgview so you better
specify all the relevant paths on the command line.

While the idea of pkgviews certainly is nice and along what can be imagined
of the advanced VFS stuff in the furture, there are reasons why they are
still marked as experimental after years.

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]